QGIS 기반 공간통계

QGIS 및 제공모듈 설치

1.1 다운로드 및 설치

QGIS는 QuantumGIS의 새 이름으로 문서 작성시의 최신 버전은 2.2다.

- 홈페이지: http://qgis.org

- 다운로드: http://qgis.org/en/site/forusers/download.html

이미 설치된 사람은 다음 단계로 진행하면 된다. 자신의 OS에 맞게 32Bit용이나 64Bit용의 선택이 가능하다. 64Bit OS에도 32Bit 버전을 설치할 수 있지만, 처리 가능한 데이터의 크기 등의 장점이 있는 64Bit 버전을 사용하는 것이 좋다.

QGIS의 설치는 다운로드 한 설치파일을 실행하여 [다음], [다음]을 눌러 쉽게 설치할 수 있다.

 

1.2 QGIS가 사용중인 Python 버전 확인

설치 후에는 QGIS가 사용하는 Python의 버전을 꼭 확인하여야 한다.

QGIS가 사용하는 Python을 도스창에서 실행하기 위해서는 QGIS와 하께 설치된 OSGeo4W Shell을 이용해야 한다.

QGIS를 기본으로 설치했다면 바탕화면에 OSGeo4W Shell 아이콘이 있다. 이 아이콘을 통해 도스창을 띠우면 QGIS 실행에 필요한 모든 환경이 설정된 도스창이 실행된다.

우리는 지금 프로그램 설치를 진행할 예정이니 이 아이콘을 오른쪽 마우스 클릭하여 ‘관리자 권한으로 실행’ 메뉴로 열도록 하자.

이 아이콘으로 띠운 도스창에 다음과 같이 입력하여 파이썬 콘솔을 띠우면 버전을 확인할 수 있다.

python

 

 위 화면같이 보인다면 파이썬 2.7.5 64Bit용 버전이 설치되어 있는 것이다. 여기서 64Bit 버전임이 특히 중요하다. 사용하는 OS가 64Bit 일지라도 QGIS 32Bit 버전을 설치했다면 파이썬도 32Bit 버전이 설치된다.

우리는 QGIS가 기본적으로 설치한 파이썬에 공간통계에 필요한 다양한 추가 모듀를 설치 예정인데, 이 때 설치된 파이썬 버전과 맞는 버전을 설치해 주어야 한다.

 

1.3 QGIS에 기본 설치된 파이썬 라이브러리 확인

버전 확인이 끝났으니 파이썬 콘솔에 quit()을 입력해 파이썬을 빠져 나오자.

그리고 다시 setup을 입력해 QGIS를 위한 추가적인 모듈들을 설치할 수 있는 설치툴을 띠우자.

이 때 만약 아래와 같은 오류가 발행한다면, OSGeo4W Shell을 관리자 모드로 실행하지 않은 것이다. 반드시 아이콘을 오른쪽 버튼으로 클릭하여 [관리자 권한으로 실행] 메뉴를 눌러 실행하자. 권리자 권한이 있어야 Program Files 폴더 등 시스템 폴더에 쓰기 권한이 생겨 설치 등의 작업이 가능해진다.

 

OSGeo4W Setup에서는 첫 화면에서의 선택이 제일 중요하다. 우리는 일반적으로는 사용하지 않는 고급 기능을 설치 예정이므로 Advenced Install을 선택해야 한다.

 

프로그램 다운로드 소스는 일반적으로 Install from internet을 선택하면 된다.

프로그램 설치 경로는 QGIS 설치경로가 기본경로로 잡힌다. 가능하면 이 경로를 그냥 이용하는 것이 바람직 하다.

Local Package 경로도 기본 경로를 사용하면 된다.

접속 방법은 Drirect Connection을 선택하면 된다.

다운로드 사이트 선택 화면에서 제공되는 목록 중 하나를 선택 해야지만 다음으로 진행 가능하다.

드디어 이 챕터의 목적인 기본 설치된 라이브러리를 확인하는 화면까지 왔다. 파이썬 라이브러를 비롯한 여러 라이브러리들은 Libs 아래에 목록이 나온다.

Search에 여러가지 검색어를 입력해 보면 우리가 필요로 하는 라이브러리들이 설치되어 있는 지 확인 가능하다. 필자가 지금 설치중인 QGIS 2.2 버전에는 NumPy와 MatPlot이 미리 설치되어 있음을 확인할 수 있다. 미리 설치된 라이브러리들은 설치하지 않아도 된다.

각 라이브러리의 Current 항목에 버전이 나온다면 이미 설치가 되어 있는 것이다. 설치가 안되어 있는 경우에는 Current 항목은 비어 있고, New 항목에 Skip이라 표시되어 있다. 설치하고 싶은 라이브러리가 있다면 Skip 부분을 눌러 개발에 필요한 라이브러리 버전을 선택하고 [다음]을 누르면 된다.

우리가 필요한 모듈 중 MatPlotLib는 QGIS 2.2에 설치된 버전으로 그냥 사용 가능하다.

댓글

댓글 본문
작성자
비밀번호
  1. 유근우
    감사합니다.
버전 관리
BJ Jang
현재 버전
선택 버전
graphittie 자세히 보기